RANDOM=/dev/random

[ req ]
default_bits = 1024
encrypt_key = yes
distinguished_name = req_dn
x509_extensions = v3_req
prompt = no

[ req_dn ]
C=NO
ST=NA
L=Skolen
O=LDAP server
OU=Automatically-generated LDAP SSL key

###
### run LDAP service on main server (tjener) -> default
### make sure CN is also one of subjectAltName
###
CN=tjener.intern
emailAddress=postmaster@postoffice.intern

[ v3_req ]
nsCertType = server
subjectAltName=DNS:tjener.intern,DNS:tjener,DNS:ldap.intern,DNS:ldap,DNS:localhost

###
### run LDAP service on a separate machine 
### (server's IP must revresolv to ldap.intern)
###
#CN=ldap.intern
#emailAddress=postmaster@postoffice.intern

#[ v3_req ]
#nsCertType = server
#subjectAltName=DNS:ldap.intern,DNS:ldap,DNS:localhost
